org.apache.ignite.internal.processors.metric

## Class AbstractMetric

- java.lang.Object
- - org.apache.ignite.internal.processors.metric.AbstractMetric

All Implemented Interfaces:
  Metric

Direct Known Subclasses:
  AtomicLongMetric, BooleanGauge, BooleanMetricImpl, DoubleGauge, DoubleMetricImpl, HistogramMetricImpl, HitRateMetric, IntGauge, IntMetricImpl, LongAdderMetric, LongGauge, ObjectGauge, ObjectMetricImpl

    public abstract class AbstractMetric
    extends Object
    implements Metric

Base class for `Metric` implementations.

### Constructor Summary

Constructors
Constructor and Description
`AbstractMetric(String name, String desc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable String` `description()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `name()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.spi.metric.Metric

`getAsString, reset`

### Constructor Detail

#### AbstractMetric

    public AbstractMetric(String name,
                          String desc)

Parameters:
  `name` - Name.
  `desc` - Description.

### Method Detail

#### name

    public String name()

Specified by:
  `name` in interface `Metric`
Returns:
  Name of the metric.

#### description

    @Nullable
    public @Nullable String description()

Specified by:
  `description` in interface `Metric`
Returns:
  Description of the metric.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022